<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Sprint>
 */
class SprintFactory extends Factory
{
    private static $counter = 1;

    public function definition(): array
    {
        return [
            'name' => 'Sprint ' . self::$counter++,
        ];
    }

    public static function resetCounter(): void
    {
        self::$counter = 1;
    }
}
